Updating Contacts

Beta
POST

Update Contact

https://api.leadpush.io/v1/workspaces/{workspace_uuid}/contacts/{contact_uuid}

Update an existing contact

Path parameters

workspace_uuidstring Required

ID of your workspace

contact_uuidstring Required

UUID of the contact to update

Request body

attributesobject Required
Update Contact
curl -X POST https://api.leadpush.io/v1/workspaces/{workspace_uuid}/contacts/{contact_uuid} \
-H "Content-Type: application/json" \
-H "Authorization: Bearer {token}" \
-d '{ 
  "attributes": { 
    "first_name": "Jane",
    "last_name": "Smith", 
    "company": "New Company Inc",
    "job_title": "Senior Developer" 
  } 
}'
Example Response
{
"uuid": "<contact_uuid>",
"subscribed": false,
"attributes": {
  "email": "jane.smith@example.com",
  "phone": "+1234567890",
  "first_name": "Jane",
  "last_name": "Smith",
  "company": "New Company Inc",
  "job_title": "Senior Developer"
},
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-02T12:30:00.000Z"
}